"use strict";
{
    C3.Plugins.massivecube_mouseoutandenter.Instance = class mouseoutandenterInstance extends C3.SDKInstanceBase
    {
        constructor(inst, properties)
        {
            super(inst);


            if (properties)
            {
                this.ocanvNumber = properties[0];
            }

            this.wi = this._inst.GetWorldInfo();

            this.ocanv = document.getElementsByTagName("canvas")[this.ocanvNumber];

            this.ocanv.addEventListener("mouseout", e => {
                this.Trigger(C3.Plugins.massivecube_mouseoutandenter.Cnds.Onmouseout, this.wi);
            }, false);

            this.ocanv.addEventListener("mouseenter", e => {
                this.Trigger(C3.Plugins.massivecube_mouseoutandenter.Cnds.Onmouseenter, this.wi);
            });

        }

        Release()
        {
            super.Release();
        }

        SaveToJson()
        {
            return {
                // data to be saved for savegames
            };
        }

        LoadFromJson(o)
        {
            // load state for savegames
        }

        GetDebuggerProperties()
        {
            return [
            {
                title: "mouseoutandenter",
                properties: [
                    //{name: ".current-animation",	value: this._currentAnimation.GetName(),	onedit: v => this.CallAction(Acts.SetAnim, v, 0) },
                {
                    name: "Canvas Number",
                    value: this.ocanvNumber}
                ]
            }];
        }
    };
}